error.correction {sagenhaft} | R Documentation

## Estimate sequencing errors and compute corrected counts

### Description

These functions are used to compute sequencing error correction in a library. They are automatically called when extracting tags from sequences and therefore usually do not have to be called directly.

### Usage

    estimate.errors.mean(lib)
    compute.sequence.neighbors(tags, taglength=10, quality.scores=NULL,
                               output="character")
    em.estimate.error.given(lib, maxstep=50, ...)

### Arguments

`lib` | A sage library object
`tags` | A character vector or numeric vector containing tags
`taglength` | length of tag
`quality.scores` | A matrix containing base quality scores as -10 log10 Pe
`maxstep` | iterations of EM algorithm
`output` | Output type for `compute.sequence.neighbors`, either character or numeric
`...` | Other arguments ignored.

### Author(s)

Tim Beissbarth

### References

http://tagcalling.mbgproject.org

### See Also

`extract.lib`, `sage.library`

### Examples

    library(sagenhaft)
    B6Hypo <-read.sage.library(system.file("data/B6HypothalHFI.sage",
                               package="sagenhaft"))
    E15post <- read.sage.library(system.file("data/E15postHFI.sage",
                                 package="sagenhaft"))
    testlib <- combine.libs(B6Hypo, E15post)
    testlib <- estimate.errors.mean(testlib)
    testlib <- em.estimate.error.given(testlib)
    tagneighbors <- compute.sequence.neighbors(testlib$seqs[,"seq"], 10,
                              testlib$seqs[,paste("q", 1:10, sep="")])

[Package sagenhaft version 1.8.0 Index]